﻿Type=Service
Version=4
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: True
#End Region

Sub Process_Globals
	Dim noti As Notification
	Dim quoteNumber As Int 'save this in kvs
	Dim quoteList As List
	Dim quoteTitle As List
	Dim AlarmTime As Long
End Sub
Sub Service_Create
	'initKVS.initalizingData
	quoteNumber = 0' initKVS.kvs.GetSimple("quoteNumber")
	quoteList.Initialize
	quoteTitle.Initialize
	Quotes
End Sub

Sub Service_Start (StartingIntent As Intent)
	noti.Initialize
	noti.Light = False
	noti.Vibrate = True
	noti.OnGoingEvent = False
	noti.Sound = True
	noti.Icon = "icon"
	noti.SetInfo(quoteTitle.Get(quoteNumber), quoteList.get(quoteNumber), Main)
	noti.Notify(1)
	
	Dim p As Period
	p.seconds = 30
	Do While AlarmTime < DateTime.Now 'make sure alarm is set in the future
		AlarmTime = DateUtils.AddPeriod(AlarmTime, p)
	Loop
	StartServiceAt("",AlarmTime,True)
	ToastMessageShow("service alarm set for " & DateTime.Time(AlarmTime),False)
End Sub

Sub Service_Destroy
	noti.Cancel(1)
	CancelScheduledService("")
End Sub

Sub Quotes
quoteList.Addall(Array As String("Quote 1", "Quote 2", "Quote 3", "Quote 4", "Quote 5", "Quote 6"))
quoteTitle.addAll(Array As String("Title 1", "Title 2", "Title 3", "Title 4", "Title 5", "Title 6"))
End Sub
