package b4a.mwe;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.objects.ServiceHelper;
import anywheresoftware.b4a.debug.*;

public class alarmservice extends android.app.Service {
	public static class alarmservice_BR extends android.content.BroadcastReceiver {

		@Override
		public void onReceive(android.content.Context context, android.content.Intent intent) {
			android.content.Intent in = new android.content.Intent(context, alarmservice.class);
			if (intent != null)
				in.putExtra("b4a_internal_intent", intent);
			context.startService(in);
		}

	}
    static alarmservice mostCurrent;
	public static BA processBA;
    private ServiceHelper _service;
    public static Class<?> getObject() {
		return alarmservice.class;
	}
	@Override
	public void onCreate() {
        mostCurrent = this;
        if (processBA == null) {
		    processBA = new BA(this, null, null, "b4a.mwe", "b4a.mwe.alarmservice");
            try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
            processBA.loadHtSubs(this.getClass());
            ServiceHelper.init();
        }
        _service = new ServiceHelper(this);
        processBA.service = this;
        processBA.setActivityPaused(false);
        if (BA.isShellModeRuntimeCheck(processBA)) {
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.mwe.alarmservice", processBA, _service);
		}
        BA.LogInfo("** Service (alarmservice) Create **");
        processBA.raiseEvent(null, "service_create");
    }
		@Override
	public void onStart(android.content.Intent intent, int startId) {
		handleStart(intent);
    }
    @Override
    public int onStartCommand(android.content.Intent intent, int flags, int startId) {
    	handleStart(intent);
		return android.app.Service.START_NOT_STICKY;
    }
    private void handleStart(android.content.Intent intent) {
    	BA.LogInfo("** Service (alarmservice) Start **");
    	java.lang.reflect.Method startEvent = processBA.htSubs.get("service_start");
    	if (startEvent != null) {
    		if (startEvent.getParameterTypes().length > 0) {
    			anywheresoftware.b4a.objects.IntentWrapper iw = new anywheresoftware.b4a.objects.IntentWrapper();
    			if (intent != null) {
    				if (intent.hasExtra("b4a_internal_intent"))
    					iw.setObject((android.content.Intent) intent.getParcelableExtra("b4a_internal_intent"));
    				else
    					iw.setObject(intent);
    			}
    			processBA.raiseEvent(null, "service_start", iw);
    		}
    		else {
    			processBA.raiseEvent(null, "service_start");
    		}
    	}
    }
	@Override
	public android.os.IBinder onBind(android.content.Intent intent) {
		return null;
	}
	@Override
	public void onDestroy() {
        BA.LogInfo("** Service (alarmservice) Destroy **");
		processBA.raiseEvent(null, "service_destroy");
        processBA.service = null;
		mostCurrent = null;
		processBA.setActivityPaused(true);
	}
public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.objects.NotificationWrapper _v5 = null;
public static int _v6 = 0;
public static anywheresoftware.b4a.objects.collections.List _v7 = null;
public static anywheresoftware.b4a.objects.collections.List _v0 = null;
public static long _vv1 = 0L;
public b4a.example.dateutils _vvvvv6 = null;
public b4a.mwe.main _vvvvv7 = null;
public b4a.mwe.initkvs _vvvvvv1 = null;
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 5;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 6;BA.debugLine="Dim noti As Notification";
_v5 = new anywheresoftware.b4a.objects.NotificationWrapper();
 //BA.debugLineNum = 7;BA.debugLine="Dim quoteNumber As Int 'save this in kvs";
_v6 = 0;
 //BA.debugLineNum = 8;BA.debugLine="Dim quoteList As List";
_v7 = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 9;BA.debugLine="Dim quoteTitle As List";
_v0 = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 10;BA.debugLine="Dim AlarmTime As Long";
_vv1 = 0L;
 //BA.debugLineNum = 11;BA.debugLine="End Sub";
return "";
}
public static String  _vvvvvv3() throws Exception{
 //BA.debugLineNum = 44;BA.debugLine="Sub Quotes";
 //BA.debugLineNum = 45;BA.debugLine="quoteList.Addall(Array As String(\"Quote 1\", \"Quote 2\", \"Quote 3\", \"Quote 4\", \"Quote 5\", \"Quote 6\"))";
_v7.AddAll(anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{"Quote 1","Quote 2","Quote 3","Quote 4","Quote 5","Quote 6"}));
 //BA.debugLineNum = 46;BA.debugLine="quoteTitle.addAll(Array As String(\"Title 1\", \"Title 2\", \"Title 3\", \"Title 4\", \"Title 5\", \"Title 6\"))";
_v0.AddAll(anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{"Title 1","Title 2","Title 3","Title 4","Title 5","Title 6"}));
 //BA.debugLineNum = 47;BA.debugLine="End Sub";
return "";
}
public static String  _service_create() throws Exception{
 //BA.debugLineNum = 12;BA.debugLine="Sub Service_Create";
 //BA.debugLineNum = 14;BA.debugLine="quoteNumber = 0' initKVS.kvs.GetSimple(\"quoteNumber\")";
_v6 = (int) (0);
 //BA.debugLineNum = 15;BA.debugLine="quoteList.Initialize";
_v7.Initialize();
 //BA.debugLineNum = 16;BA.debugLine="quoteTitle.Initialize";
_v0.Initialize();
 //BA.debugLineNum = 17;BA.debugLine="Quotes";
_vvvvvv3();
 //BA.debugLineNum = 18;BA.debugLine="End Sub";
return "";
}
public static String  _service_destroy() throws Exception{
 //BA.debugLineNum = 39;BA.debugLine="Sub Service_Destroy";
 //BA.debugLineNum = 40;BA.debugLine="noti.Cancel(1)";
_v5.Cancel((int) (1));
 //BA.debugLineNum = 41;BA.debugLine="CancelScheduledService(\"\")";
anywheresoftware.b4a.keywords.Common.CancelScheduledService(processBA,(Object)(""));
 //BA.debugLineNum = 42;BA.debugLine="End Sub";
return "";
}
public static String  _service_start(anywheresoftware.b4a.objects.IntentWrapper _startingintent) throws Exception{
b4a.example.dateutils._period _p = null;
 //BA.debugLineNum = 20;BA.debugLine="Sub Service_Start (StartingIntent As Intent)";
 //BA.debugLineNum = 21;BA.debugLine="noti.Initialize";
_v5.Initialize();
 //BA.debugLineNum = 22;BA.debugLine="noti.Light = False";
_v5.setLight(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 23;BA.debugLine="noti.Vibrate = True";
_v5.setVibrate(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 24;BA.debugLine="noti.OnGoingEvent = False";
_v5.setOnGoingEvent(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 25;BA.debugLine="noti.Sound = True";
_v5.setSound(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 26;BA.debugLine="noti.Icon = \"icon\"";
_v5.setIcon("icon");
 //BA.debugLineNum = 27;BA.debugLine="noti.SetInfo(quoteTitle.Get(quoteNumber), quoteList.get(quoteNumber), Main)";
_v5.SetInfo(processBA,BA.ObjectToString(_v0.Get(_v6)),BA.ObjectToString(_v7.Get(_v6)),(Object)(mostCurrent._vvvvv7.getObject()));
 //BA.debugLineNum = 28;BA.debugLine="noti.Notify(1)";
_v5.Notify((int) (1));
 //BA.debugLineNum = 30;BA.debugLine="Dim p As Period";
_p = new b4a.example.dateutils._period();
 //BA.debugLineNum = 31;BA.debugLine="p.seconds = 30";
_p.Seconds = (int) (30);
 //BA.debugLineNum = 32;BA.debugLine="Do While AlarmTime < DateTime.Now 'make sure alarm is set in the future";
while (_vv1<anywheresoftware.b4a.keywords.Common.DateTime.getNow()) {
 //BA.debugLineNum = 33;BA.debugLine="AlarmTime = DateUtils.AddPeriod(AlarmTime, p)";
_vv1 = mostCurrent._vvvvv6._addperiod(processBA,_vv1,_p);
 }
;
 //BA.debugLineNum = 35;BA.debugLine="StartServiceAt(\"\",AlarmTime,True)";
anywheresoftware.b4a.keywords.Common.StartServiceAt(processBA,(Object)(""),_vv1,anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 36;BA.debugLine="ToastMessageShow(\"service alarm set for \" & DateTime.Time(AlarmTime),False)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("service alarm set for "+anywheresoftware.b4a.keywords.Common.DateTime.Time(_vv1),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 37;BA.debugLine="End Sub";
return "";
}
}
